<?php
switch($_GET['do']){
############################################
default;
//Проверка наличия ссылки
$sql = "SELECT COUNT(*) FROM ".PREFIX."ads WHERE id='".intval($_GET['id'])."'";  
if ($STH = $mysql->query($sql)) {  
$STH = $STH -> fetch_row();
$STH = $STH[0]; 
if ($STH > 0) {

//Получение данных ссылки
$query_go = $mysql -> query("SELECT * FROM `".PREFIX."ads` WHERE `id`='".num($_GET['id'])."' LIMIT 1;");
$data_go = $query_go -> fetch_assoc();

//Изменение кол-ва переходов
$mysql -> query("UPDATE `".PREFIX."ads` SET `click` = '".$data_go['click']."'+1 WHERE `id` = '".intval($_GET['id'])."' ;");

//Удаление "просроченных" ссылок
$sqld = $mysql->query('DELETE FROM `'.PREFIX.'ads` WHERE `click` >= `delete` && `delete` !=0 LIMIT 5');


header('Location: http://'.$data_go['link'].''); //Переадресация по ссылке
} //Конец удаления и изменения
else {
header('Location: /'); //Переадресация при отсутствии ссылки
}} //Конец проверки
break;
############################################################################################
### language
case 'golang':
if (isset($_POST['language']))
{
	$lang = filtr($_POST['language']);
	$cookie_set = setcookie ("lan", $lang, time()+60*60*24*30);
	$_SESSION["lang"] = $lang;
	header("Location: ".$_SERVER['HTTP_REFERER'].$_SERVER['QUERY_STRING']);
}
else
{
	header("Location: index.php");
}
break;
###########################################################################################
### Themes
case 'gothm':
/*if (preg_match('/windows|linux|macintosh|unix|macos|bsd/i', $_SERVER['HTTP_USER_AGENT']))
{*/
if ($_GET['mode'] == 'web')
{ 
SetCookie("theme", "web", time() + 3600 * 24 * 365);
header('Location: /index.php');
} else {
SetCookie("theme", "wap", time() + 3600 * 24 * 365);
//echo $_GET['mode'];
header('Location: /index.php');
} 
/*} else {
header ('Location: /index.php');
}*/
break;
#########################################
}
?>
